> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auxpay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Transaction

> Process a transaction using a token.



## OpenAPI

````yaml openapi.json post /token-transaction
openapi: 3.0.0
info:
  title: AuxVault API
  description: >-
    The AuxVault API is a RESTful API that allows you to process financial
    transactions, manage customers, and access transaction data securely.
  version: v1
servers:
  - url: https://dev-api.auxvault.net/api/v1/public
    description: Sandbox Environment
  - url: https://api.auxvault.net/api/v1/public
    description: Production Environment
security:
  - apiKey: []
paths:
  /token-transaction:
    post:
      summary: Token Transaction
      description: Process a transaction using a token.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                TokenId:
                  type: string
                GatewayCustomerId:
                  type: string
                Amount:
                  type: number
                ConvenienceFeeActive:
                  type: boolean
                Description:
                  type: string
                ReferenceNo:
                  type: string
              required:
                - TokenId
                - GatewayCustomerId
                - Amount
                - ConvenienceFeeActive
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              example:
                status: success
                status_code: 100
                message: Transaction Processed Successfully
                data:
                  TransactionId: d0snjfv0i479rlkc66v0
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: failed
                status_code: 400
                msg: 'bad request error: invalid token'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: failed
                status_code: 401
                msg: 'Unauthorized: Invalid API Key'
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````